Name:           pinot
Version:        0.98
Release:        %mkrel 6
Summary:        Personal search and metasearch for the Free Desktop
License:        GPLv2+
Group:          File tools
URL:            http://code.google.com/p/pinot-search/

Source0:        http://download.berlios.de/pinot/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.83-language-path.patch
#http://code.google.com/p/libarchive/wiki/ManPageLibarchiveChanges3
#ARCHIVE_DEFAULT_BYTES_PER_BLOCK is dropped by upstream, uso 10240
Patch1:         %{name}-%{version}-libarchive.patch
#G_DISABLE_SINGLE_INCLUDES, fix error
Patch2:         %{name}-%{version}-glib.patch
Patch3:		pinot-0.98-exttextcat.patch
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(exiv2) >= 0.21
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glibmm-2.4) >= 2.6
BuildRequires: pkgconfig(gmime-2.6) >= 2.5
BuildRequires: pkgconfig(gthread-2.0) >= 2.6
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.10
BuildRequires: pkgconfig(libxml++-2.6) >= 2.12
BuildRequires: pkgconfig(neon) >= 0.24
BuildRequires: pkgconfig(openssl) >= 0.9.7
BuildRequires: pkgconfig(shared-mime-info)
BuildRequires: pkgconfig(sigc++-2.0) >= 2.0
BuildRequires: pkgconfig(sqlite3) >= 3.1
BuildRequires: pkgconfig(taglib) >= 1.4
BuildRequires:  libxapian-devel
BuildRequires: pkgconfig(libexttextcat)
BuildRequires:  libarchive-devel
BuildRequires:	libcurl-devel
BuildRequires:	boost-devel
BuildRequires:  chmlib-devel
BuildRequires:	desktop-file-utils

Requires:       shared-mime-info
Requires:       unzip
Requires:       antiword
Requires:       unrtf
Requires:       poppler

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

This package no more contains plugin for deskbar-applet.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
autoreconf -fi
%configure2_5x \
 --disable-static \
 --with-http=curl \
 --with-ssl=%{_libdir} \
 --enable-dbus \
 --enable-mempool \
 --enable-libarchive \
 --enable-gio \
 --enable-chmlib

%make

%install
%makeinstall_std

desktop-file-install \
 --remove-category="Core" \
 --remove-category="Network" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#don't ship deskbar plugin
rm -fR %{buildroot}%{_libdir}/deskbar-applet

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO FAQ
%config(noreplace) %{_sysconfdir}/%{name}/
%dir %{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_libdir}/pinot/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_sysconfdir}/xdg/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*


%changelog

* Sat Feb 04 2012 fwang <fwang> 0.98-6.mga2
+ Revision: 204369
- drop .a and .la files
- fix build with exttextcat

  + dmorgan <dmorgan>
    - Fix builrequires for new libexttextcat

* Wed Jan 04 2012 fwang <fwang> 0.98-4.mga2
+ Revision: 190645
- rebuild for new libarchive

* Fri Nov 25 2011 fwang <fwang> 0.98-3.mga2
+ Revision: 171793
- add br
- cleanup br

* Thu Nov 24 2011 kamil <kamil> 0.98-2.mga2
+ Revision: 171744
- add support for chmlib
- update URL
- drop deskbar-applet plugin

* Sat Nov 19 2011 kamil <kamil> 0.98-1.mga2
+ Revision: 169129
- new version
- language patch rediffed - partly imported by upstream
- new patch for upcoming libarchive 3.0.0
- new patch for glib - build fix
- libkexiv2-devel moved into BuildRequirements
- FAQ is now shipped with docs

  + ennael <ennael>
    - clean spec file
    - imported package pinot

